package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 献血者信息对象 t_guiji_healthcommission_xx
 *
 * @author lei
 * @date 2021-11-09
 */
public class TGuijiHealthcommissionXx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 证件 */
    @Excel(name = "证件")
    private String idcardnum;

    /** 性别1男；2女 */
    @Excel(name = "性别1男；2女")
    private String sexid;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String birthday;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 父母姓名（用半角逗号分隔） */
    @Excel(name = "父母姓名", readConverterExp = "用=半角逗号分隔")
    private String fmname;

    /** 子女姓名 */
    @Excel(name = "子女姓名")
    private String chname;

    /** 献血类型0全血；1单采 */
    @Excel(name = "献血类型0全血；1单采")
    private String donkind;

    /** 献血码（历次的献血码） */
    @Excel(name = "献血码", readConverterExp = "历=次的献血码")
    private String doncode;

    /** 体积 */
    @Excel(name = "体积")
    private String volume;

    /** ABO血型 */
    @Excel(name = "ABO血型")
    private String abo;

    /** RhD血型 */
    @Excel(name = "RhD血型")
    private String rhd;

    /** 采血日期 */
    @Excel(name = "采血日期")
    private String collectdate;

    /** 采血地点 */
    @Excel(name = "采血地点")
    private String collectplace;

    /** 机构名称 */
    @Excel(name = "机构名称")
    private String organname;

    /** 机构电话 */
    @Excel(name = "机构电话")
    private String organtel;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setIdcardnum(String idcardnum)
    {
        this.idcardnum = idcardnum;
    }

    public String getIdcardnum()
    {
        return idcardnum;
    }
    public void setSexid(String sexid)
    {
        this.sexid = sexid;
    }

    public String getSexid()
    {
        return sexid;
    }
    public void setBirthday(String birthday)
    {
        this.birthday = birthday;
    }

    public String getBirthday()
    {
        return birthday;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setFmname(String fmname)
    {
        this.fmname = fmname;
    }

    public String getFmname()
    {
        return fmname;
    }
    public void setChname(String chname)
    {
        this.chname = chname;
    }

    public String getChname()
    {
        return chname;
    }
    public void setDonkind(String donkind)
    {
        this.donkind = donkind;
    }

    public String getDonkind()
    {
        return donkind;
    }
    public void setDoncode(String doncode)
    {
        this.doncode = doncode;
    }

    public String getDoncode()
    {
        return doncode;
    }
    public void setVolume(String volume)
    {
        this.volume = volume;
    }

    public String getVolume()
    {
        return volume;
    }
    public void setAbo(String abo)
    {
        this.abo = abo;
    }

    public String getAbo()
    {
        return abo;
    }
    public void setRhd(String rhd)
    {
        this.rhd = rhd;
    }

    public String getRhd()
    {
        return rhd;
    }
    public void setCollectdate(String collectdate)
    {
        this.collectdate = collectdate;
    }

    public String getCollectdate()
    {
        return collectdate;
    }
    public void setCollectplace(String collectplace)
    {
        this.collectplace = collectplace;
    }

    public String getCollectplace()
    {
        return collectplace;
    }
    public void setOrganname(String organname)
    {
        this.organname = organname;
    }

    public String getOrganname()
    {
        return organname;
    }
    public void setOrgantel(String organtel)
    {
        this.organtel = organtel;
    }

    public String getOrgantel()
    {
        return organtel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("name", getName())
            .append("idcardnum", getIdcardnum())
            .append("sexid", getSexid())
            .append("birthday", getBirthday())
            .append("address", getAddress())
            .append("fmname", getFmname())
            .append("chname", getChname())
            .append("donkind", getDonkind())
            .append("doncode", getDoncode())
            .append("volume", getVolume())
            .append("abo", getAbo())
            .append("rhd", getRhd())
            .append("collectdate", getCollectdate())
            .append("collectplace", getCollectplace())
            .append("organname", getOrganname())
            .append("organtel", getOrgantel())
            .toString();
    }
}
